# Makefile of ROOT for Solaris with KCC

include ../Makefile.config

# When changing OPT to -O you can also change +K0 to +K1
# When changing OPT to -g you can also change +K1 to +K0

ifeq (debug,$(findstring debug,$(ROOTBUILD)))
OPT           = -g
CXX_OPT       = +K0 -O0
NOOPT         =
else
OPT           = -O4
CXX_OPT       = +K3
NOOPT         =
endif

ifeq (exception,$(findstring exception,$(ROOTBUILD)))
EXCEPTION     = --exceptions
else
EXCEPTION     = --no_exceptions
endif

PLATFORM      = solaris
VPATH         = $(ROOTSYS)/include
CXX           = KCC
CC            = /opt/SUNWspro/bin/cc
CXXFLAGS      = $(EXCEPTION) --display_error_number $(EXTRA_CXXFLAGS) \
                --diag_suppress 191 --diag_suppress 830 \
                -I$(OPENGL)/include $(CXX_OPT) -I$(ROOTSYS)/include \
                -KPIC -I/usr/openwin/include -D__SunOS_5_6
CFLAGS        = -KPIC -I/usr/openwin/include \
                -O0 -I$(ROOTSYS)/include $(EXTRA_CFLAGS)
CINTCXXFLAGS  = $(EXCEPTION) --display_error_number $(EXTRA_CXXFLAGS) \
                --diag_suppress 191 --diag_suppress 830 \
                $(CXX_OPT) -I$(ROOTSYS)/include \
                -KPIC -DG__REGEXP1 -DG__UNIX -DG__OSFDLL \
                -DG__SHAREDLIB -DG__ROOT -DG__REDIRECTIO
CINTCFLAGS    = -KPIC -DG__REGEXP1 -DG__UNIX -DG__OSFDLL \
                -DG__SHAREDLIB -DG__ROOT -DG__REDIRECTIO \
                -D__KCC -I$(ROOTSYS)/include $(EXTRA_CFLAGS)
LD            = KCC
LDFLAGS       = $(OPT) $(CXXOPT) $(EXCEPTION) $(EXTRA_LDFLAGS)
AR            = KCC
ARFLAGS       = $(OPT) $(CXXOPT) $(EXCEPTION)
SOFLAGS       = -G
SOEXT         = so
SYSLIBS       = -lm -ldl -lsocket -lnsl
SYSXLIBS      = -L/usr/openwin/lib -lX11 -lm -lgen -ldl
XLIBS         = $(ROOTSYS)/lib/libXpm.a -L/usr/openwin/lib -lX11
CILIBS        = -lm -ltermcap -ldl -L/usr/ccs/lib -lgen
CRYPTLIBS     =
F77           = f77
F77FLAGS      = $(OPT)
F77LIBS       = -L/opt/SUNWspro/lib -lM77 -lF77 -lsunmath -lsocket -lnsl


##### MACROS and TARGETS #####

include Make-macros


##### DEPENDENCIES #####

include Make-depend

# DO NOT DELETE
